package controller

import (
	"campaign-pool-be/app/module/advertisement/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	Advertisement AdvertisementController
}

func NewController(AdvertisementService service.AdvertisementService, log zerolog.Logger) *Controller {
	return &Controller{
		Advertisement: NewAdvertisementController(AdvertisementService, log),
	}
}
